/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 04/JUL/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED
 .,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.,-*~'`^`'~*-,._.-*~'`^`'~*-,._.,-*~'`^`'~*-,. 


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Sun Jul 29 21:33:38 EDT 2007, v0.02 sdy

  This is a *very* simple program written to do a web page
  hit counter using sqlite3.

*/

#ifndef GD_H_X
#define GD_H_X

//  C++

#include <string>

//  C

#include "gd.h"

class Gd
{

  public:

   Gd();
  ~Gd();

  Gd & make_img(std::string &);
  Gd & to_stdout();
  Gd & to_file();
  Gd & set_point_size(int);
  Gd & set_RGB(int, int, int);
  Gd & set_font(std::string &);

  private:

  double sz;
  std::string font;

  gdImage * im;
  int black;
  int white;
  int backg;
  int color;
  int fgr;
  int fgg;
  int fgb;

  int brect[8];
  int x;
  int y;

  char *err;

};

#endif
